unit RenProp;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, Buttons, ExtCtrls, Dialogs, ComCtrls;

type
  TRenProp = class(TForm)
    Button_Cancel: TButton;
    Button_Ok    : TButton;
    Btn_R        : TRadioButton;
    GroupBox1    : TGroupBox;
    Label1       : TLabel;
    procedure Button_CancelClick(Sender: TObject);
    procedure Button_OkClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    procedure SetEachFont;
  end;

procedure ShowRenPropDialog;

var
  RenProp1: TRenProp;

implementation

{$R *.DFM}

uses Zfd;

//---------------------------------------------------------------------------------------------------------------------------------------------------

// _CAO\̏
procedure TRenProp.FormShow(Sender: TObject);
begin
  RenProp1.Caption := Form1.Caption;

  F_RenProp := True;
end;

// nj{^̏
procedure TRenProp.Button_OkClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

// LZ{^̏
procedure TRenProp.Button_CancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure ShowRenPropDialog;
begin
  RenProp1 := TRenProp.Create(Application);
  RenProp1.ShowModal;
end;

procedure TRenProp.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Release;
end;

//--------------------------------------------------------
// CtH[̃tHgeIuWFNgɐݒ
//--------------------------------------------------------
procedure TRenProp.SetEachFont;
var fSize: Integer; fFont: TFont;
begin
  fFont := Form1.Font;

  Button_Cancel.Font := fFont;
  Button_Ok    .Font := fFont;
  Btn_R        .Font := fFont;
  GroupBox1    .Font := fFont;
  Label1       .Font := fFont;

  fSize := Form1.Font.Size - 2;
  if fSize > MaxDlgFsize then fSize := MaxDlgFsize;

  Button_Cancel.Font.Size := fSize;
  Button_Ok    .Font.Size := fSize;
  Btn_R        .Font.Size := fSize;
  GroupBox1    .Font.Size := fSize;
  Label1       .Font.Size := fSize;
end;

procedure TRenProp.FormCreate(Sender: TObject);
begin
  SetEachFont;
end;

procedure TRenProp.FormDestroy(Sender: TObject);
begin
  F_RenProp := False;
end;

end.
